Package Details: python-pyfits 3.4-1

Git Clone URL: (read-only)
Package Base: python-pyfits
Description: A python language interface to FITS formatted data files
Upstream URL:
Licenses: BSD
Submitter: None
Maintainer: migueldvb
Last Packager: migueldvb
Votes: 18
Popularity: 0.000410
First Submitted: 2006-06-19 18:17
Last Updated: 2016-01-31 03:51

Latest Comments

migueldvb commented on 2015-02-20 20:36

I will maintain this package while it gets new releases and bug fixes from STSCI.

ressler commented on 2015-02-20 19:46

Now that python-astropy-1.0 has been released and is available in the AUR, I'm going to disown this package as it is obsolete. If you still use pyfits and are desperate, if you formerly called it with

import pyfits

you can install astropy and call it with

from import fits as pyfits

without changing any other code. Good luck!

ressler commented on 2014-07-22 04:57

Update to v3.3. Note that STScI intends to deprecate pyfits as all functionality has been moved to astropy (also in AUR). Correspondingly, I will be moving my own workstations to astropy and will orphan python-pyfits and python2-pyfits in the near future. Please see for further information.

ressler commented on 2014-03-29 16:52

Bugfix update to 3.2.2. Includes official python-3.4 support.

ressler commented on 2013-12-05 20:03

Update to 3.2.

migueldvb commented on 2013-12-04 01:33

PyFITS 3.2 is out

migueldvb commented on 2013-12-04 01:28

v3.2.0 is out

ressler commented on 2013-06-20 17:04

Bugfix pdate to 3.1.2.

ressler commented on 2013-01-16 23:41

Bugfix update to 3.1.1.

ressler commented on 2012-08-10 16:53

Upgrade to 3.1.

ressler commented on 2012-06-19 16:44

Bug fix update to 3.0.8. Handling of scaled data is much improved.

ressler commented on 2012-04-18 23:44

I wish I could. Unfortunately, AUR does not allow this. Only in the main repositories are multiple versions allowed. Unless there has been a recent change to AUR, we're stuck with the two packages.

drrossum commented on 2012-04-18 21:25

Could you combine this package with python2-pyfits? Most python packages have such dual support these days...

ressler commented on 2012-04-11 17:27

Bug fix update to 3.0.7.

riczan commented on 2012-03-30 13:01

ressler commented on 2012-03-15 17:28

Bug fix update to 3.0.6. There is a fairly important scaling issue that is fixed, so updating is encouraged.

ressler commented on 2012-01-30 22:49

Bug fix update to 3.0.5.

ressler commented on 2011-12-03 18:39

Bugfix update to 3.0.4.

ressler commented on 2011-10-03 19:56

Bug fix update to 3.0.2.

ressler commented on 2011-09-14 15:24

Bug fix update.

ressler commented on 2011-08-30 18:46

Updating to pyfits-3.0 which includes python3 support. At the risk of breaking packages that depend on python-pyfits, I have followed the naming conventions of numpy and scipy where e.g. python-numpy is the python3 version, and python2-numpy is for python2; same here. Unfortunately, AUR does not allow split packages in one PKGBUILD, so there is now a python-pyfits entry and a python2-pyfits entry.

This python3 version is only lightly tested since most of my day-to-day work still uses python2. Please let me know of any mistakes.

ressler commented on 2011-07-30 18:06

Forgot to increment the pkgrel variable - fixed.

ressler commented on 2011-07-30 18:05

Forgot to increment the pkgrel variable.

ressler commented on 2011-07-30 18:04

Changed dependency to python2-numpy

ressler commented on 2011-07-30 18:03

I was hoping that STScI would release their python3 compatible version soon. Then I could do everything at once. When they do, I'll change the PKGBUILD to do the python2/3 trick that things like numpy and scipy do. For now, I'll just do the python2-numpy dependency fix.

giniu commented on 2011-07-19 07:37

Yes, especially now that python3-numpy was finally renamed to python-numpy and python2-numpy no longer provides python-numpy.

mboquien commented on 2011-07-19 07:20

Hello. I think this package should depend on python2-numpy. Thanks.

ressler commented on 2011-01-20 03:51

A few new features and bug fixes. See STScI's site for details.

ressler commented on 2010-10-22 18:20

Updated PKGBUILD to reflect new python2 command. Bumped package version to -2.

mboquien commented on 2010-10-19 00:07


With the update to python 3, pyfits does not build properly anymore. Replacing "python" by "python2" in the PKGBUILD file solves the problem.


ressler commented on 2010-06-04 21:40

STScI replaced some GPL code with BSD equivalent. Pyfits should now be pure BSD.

ressler commented on 2010-05-19 15:58

STScI made a correction to, but did not increment the release number. I have thus labeled this -2.

ressler commented on 2010-05-17 18:56

Updated to STScI's version 2.3. Not that it should be an issue with Arch's dependencies, but support for "numarray" has been eliminated from this (and presumably future) release. See for other enhancements.